---
title: About projects (beta)
intro: 'Projects are a customizable, flexible tool for planning and tracking work on {% data variables.product.company_short %}.'
allowTitleToDifferFromFilename: true
miniTocMaxHeadingLevel: 3
versions:
  fpt: '*'
  ghec: '*'
type: overview
topics:
  - Projects
---

{% data reusables.projects.projects-beta %}

## About projects

A project is a customizable spreadsheet that integrates with your issues and pull requests on {% data variables.product.company_short %}. You can customize the layout by filtering, sorting, and grouping your issues and PRs. You can also add custom fields to track metadata. Projects are flexible so that your team can work in the way that is best for them.

### Staying up-to-date

Your project automatically stays up-to-date with the information on {% data variables.product.company_short %}. When a pull request or issue changes, your project reflects that change. This integration also works both ways, so that when you change information about a pull request or issue from your project, the pull request or issue reflects that information.

### Adding metadata to your tasks

You can use custom fields to add metadata to your tasks. For example, you can track the following metadata:

- a date field to track target ship dates
- a number field to track the complexity of a task
- a single select field to track whether a task is Low, Medium, or High priority
- a text field to add a quick note
- an iteration field to plan work week-by-week

### Viewing your project from different perspectives

You can view your project as a high density table layout:

![Project table](/assets/images/help/issues/projects_table.png)

Or as a board:

![Project board](/assets/images/help/issues/projects_board.png)

To help you focus on specific aspects of your project, you can group, sort, or filter items:

![Project view](/assets/images/help/issues/project_view.png)

For more information, see "[Customizing your project views](/issues/trying-out-the-new-projects-experience/customizing-your-project-views)."

### Working with the project command palette

You can use the project command palette to quickly change views or add fields. The command palette guides you so that you don't need to memorize custom keyboard shortcuts. For more information, see "[Customizing your project views](/issues/trying-out-the-new-projects-experience/customizing-your-project-views)."

### Automating project management tasks

Projects (beta) offers built-in workflows. For example, when an issue is closed, you can automatically set the status to "Done." You can also use the GraphQL API and {% data variables.product.prodname_actions %} to automate routine project management tasks. For more information, see "[Automating projects](/issues/trying-out-the-new-projects-experience/automating-projects)" and "[Using the API to manage projects](/issues/trying-out-the-new-projects-experience/using-the-api-to-manage-projects)."

## Comparing projects (beta) with the non-beta projects

Projects (beta) is a new, customizable version of projects. For more information about the non-beta version of projects, see "[Organizing your work with project boards](/issues/organizing-your-work-with-project-boards)."

## Sharing feedback

You can share your feedback about projects (beta) with {% data variables.product.company_short %}. To join the conversation, see [the feedback discussion](https://github.com/github/feedback/discussions/categories/issues-feedback).
